; Configuration file for Azteeg X5 Mini v1.1
; executed by the firmware on start-up


; General preferences
M111 S0 ; Debugging off
G21 ; Work in millimetres
G90 ; Send absolute coordinates...
M83 ; ...but relative extruder moves
M555 P2 ; Set firmware compatibility to look like Marlin
M208 X0 Y0 Z0 S1 ; Set axis minima
M208 X250 Y200 Z200 S0 ; Set axis maxima


; Endstops
M574 Z0 S0 ; Define active low and unused microswitches
M574 X1 Y1 S1 ; Define active high microswitches
M558 P5 F300 I1 X0 Y0 Z0 H2 T6000
G31 P600 X0 Y0 Z-0.12 ; Set Z probe trigger value, offset and trigger height
M557 X15:235 Y15:185 S20 ; Define mesh grid


; Drives
M569 P0 S0 ; Drive 0 (X) goes backwards
M569 P1 S1 ; Drive 1 (Y) goes forwards
M569 P2 S1 ; Drive 2 (Z) goes forwards
M569 P3 S0 ; Drive 3 (E0) goes Backwards

M92 X160 Y160 Z500 E1674 ; Set steps per mm
M566 X900 Y900 Z12 E120 ; Set maximum instantaneous speed changes (mm/min)
M203 X6000 Y6000 Z600 E2400 ; Set maximum speeds (mm/min)
M201 X500 Y500 Z250 E250 ; Set accelerations (mm/s^2)
M906 X1200 Y1200 Z1600 E1000 I100 ; Set motor currents (mA) and motor idle factor in per cent (was 30% idle, disable)
M84 S30 ; Set idle timeout

; Heaters
M143 S285 ; Set maximum heater temperature to 285C
M305 P0 T100000 B3950 R4700 H30 L0; Put your own H and/or L values here to set the bed thermistor ADC correction 
M305 P1 T100000 B4725 C7.060000e-8 R4700 ; Set thermistor + ADC parameters for heater 1 (E3D Semitech) 


M307 H1 A565.6 C250.4 D3.9 S1.00 B0 ; Result from Autotune (E3D at 240deg with sock on)
M307 H0 A152.8 C910.6 D4.1 S1.00 B0 ; Result from Autotune (Kapton Heater + ATP5)


; Tools
M563 P0 D0 H1 ; Define tool 0
G10 P0 X0 Y0 Z0 ; Set tool 0 axis offsets
G10 P0 R0 S0 ; Set initial tool 0 active and standby temperatures to 0C

; Network
M550 P3dprinter ; Set machine name
M552 S1 ; Enable network

M586 P0 S1 ; Enable HTTP
M586 P1 S0 ; Disable FTP
M586 P2 S0 ; Disable Telnet

; Fans
;M106 P0 S0.3 I0 F500 H-1 ; Set fan 0 value, PWM signal inversion and frequency. Thermostatic control is turned off
;M106 P1 S1 I0 F500 H1 T45 ; Set fan 1 value, PWM signal inversion and frequency. Thermostatic control is turned on
;M106 P2 S1 I0 F500 H1 T45 ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on

; Custom settings are not configured

; Miscellaneous
;M501 ; Load saved parameters from non-volatile memory


T0 ; Select first hot end